#ifndef BUHAMAIN_H
#define BUHAMAIN_H

#include <QtGui>

QT_BEGIN_NAMESPACE
class QDialog;
QT_END_NAMESPACE

class BuhaMain : public QDialog
{
  Q_OBJECT

public:
  BuhaMain(QWidget *parent = NULL);

protected:
  void paintEvent(QPaintEvent *event);
  void pSetZahlMenu();

private slots:
  void pKtoPlan();
  void pJournal();
  void pEinzelKto();
  void pGliederung();
  void pMitglieder();
  void pLieferant();
  void pSetup();
  void pZahlungen();
  void pMIDImport();
  void pKtoDruck();
  void pJournExport();
  void pSpendenExport();
  void pSpendenParam();
  void pAkkredListe();
  void pTextbaustein();
  void pZahlErst();
  void pZahlBearb();
  void pZahlMail();
  void pZahlBrief();
  void pZahlDtaus();
  void pSave();
  void pRestore();
  void pZahlAbschl();
  void pBlzImp();
  void pUpdate();
  void pZuwend();

private:
  int wMenuHeight,wSizeX,wSizeY;
  QAction *actZBearbRech,*actZBearbRechNeu,*actZBearbLast,*actZBearbLastNeu;
  QAction *actZBearbDtaus,*actZBearbPlatz,*actZBearbMahn1,*actZBearbMahn2;
  QAction *actZBearbMahn3;
  QAction *actZDoMail,*actZDoBrief,*actZDoDtaus,*actZAbschl;
  QMenu   *menZahlBearb,*menZahlDo;
};

#endif
