#ifndef CSVDATEI_H
#define CSVDATEI_H

#include <QtGui>
#include <QtCore>

class CSVDatei : public QObject
{
Q_OBJECT

public:
  CSVDatei(bool flag_erstdat=false, bool flag_exist=false,
           QWidget *parent=NULL);
  ~CSVDatei();
  void setFlags(bool flag_erstdat=false, bool flag_exist=false);
  int FuellLayout(QGridLayout *wLayout, int y, int x);
  bool isValid();
  bool startLine();
  bool eol();
  void newLine();
  void closeFile();
  void write(QString s, bool flag_text, bool flag_last);
  QString readField();
  QDate toDate(QString s, QDate fehlwert);
  QDate creationDate();

private:
  bool      fExists,fErstdat;
  QLineEdit *wDateiname,*wFeldtrenner,*wTexttrenner;
  QDateEdit *wErstellt;
  QPushButton *bSelect;
  QFile wDatei;
  QByteArray wZeile;
  int        wSpalte,wLen;
  char       cFeldtrenner,cTexttrenner;
  QWidget    *wParent;

protected slots:
  void pDateiWahl();
};

#endif
