#include "gliederungswahl.h"
#include "utils.h"

GliederungsWahl::GliederungsWahl(int flag_modus, QWidget *parent) : QDialog(parent)
{
  QVBoxLayout *topLayout = new QVBoxLayout();
  wListe = new QTreeView;
  wModel = new GliederungsBaum();
  QModelIndex wIndex;
  wIndex=wModel->setupModelData(UtilSelbst(),flag_modus);
  wListe->setModel(wModel);
  wListe->setColumnWidth(0,250);
  wListe->setColumnWidth(1,95);
  wListe->setColumnWidth(2,200);
  wListe->setFixedSize(550,300);
  topLayout->addWidget(wListe);
  setLayout(topLayout);
  wErg="";
  connect(wListe,SIGNAL(clicked(QModelIndex)),this,SLOT(pWahl(QModelIndex)));
  if (flag_modus<5) wListe->expandAll();
  if (wIndex.isValid()) wListe->scrollTo(wIndex);
}

GliederungsWahl::~GliederungsWahl()
{
}

int GliederungsWahl::exec()
{
  int r;
  r=QDialog::exec();
  return(r);
}

void GliederungsWahl::pWahl(QModelIndex i)
{
  int wZeile = i.row();
  wErg=wModel->datac(i,0).toString();
  accept();
}

QString GliederungsWahl::text()
{
  return(wErg);
}
