#ifndef LSSUCHE_H
#define LSSUCHE_H

#include <QtGui>

class LsSuche : public QDialog
{
  Q_OBJECT

public:
  LsSuche(bool flag_anlegen=false, QWidget *parent = NULL);
  ~LsSuche();
  int exec(QString suchString);
  QString auswahl();

private:
  QLineEdit   wName,wPlz;
  QPushButton bOk,bCancel,bAnlegen;
  QTableView  wListe;
  QStandardItemModel wModel;

private:
  void    pInitListe();
  QString sWahl;

private slots:
  void pSuche();
  void pAuswahl(QModelIndex);
  void pAnlegen();
};

#endif
