#ifndef SETUP_H
#define SETUP_H

#include <QtCore>
#include <QtGui>
#include "wgliederung.h"
#include "wkonto.h"

class Setup : public QDialog
{
  Q_OBJECT

public:
  Setup(QWidget *parent = NULL);
  ~Setup();

private:
  QPushButton *bOk,*bCancel;
  QLabel *lAbgrAktiv,*lAbgrPassiv,*lPrefMitglied,*lPrefGliederung,*lPrefLief;
  QLabel *lBankGeb;
  WGliederung *wGliederung;
  WKonto *wAbgrAktiv,*wAbgrPassiv,*wBankGeb;
  WKonto *wPrefMitglied,*wPrefGliederung,*wPrefLief;
  QComboBox *wBeitragAb;
  QLineEdit *wAddMitglied;
  QLineEdit *wMailHost,*wMailPort,*wMailUser,*wMailPasswd,*wMailAbs,*wMailName;
  QLineEdit *wMailAdrL,*wMailAdrT,*wMailAdrPt;
  QLineEdit *wMailL,*wMailR,*wMailT,*wMailB,*wMailPt;
  QLineEdit *wSpendeAdr1,*wSpendeAdr2,*wSpendeAdr3,*wSpendeOrt,*wSpendeFunkt;
  QLineEdit *wSpendeAbs;
  QDoubleSpinBox *wSpendeMin;
  QString sGliederung,sAbgrAktiv,sAbgrPassiv,sPrefMitglied,sPrefLief;
  QString sPrefGliederung,sBeitragAb,sBankGeb;
  QString sMailHost,sMailPort,sMailUser,sMailPasswd,sMailAbs,sMailName;
  QString sSpendeAdr1,sSpendeAdr2,sSpendeAdr3,sSpendeOrt,sSpendeFunkt;
  QString sSpendeMin,sSpendeAbs;
  qint64  iAddMitglied,iSpendeMin;
  int     iMailAdrL,iMailAdrT,iMailAdrPt;
  int     iMailL,iMailR,iMailT,iMailB,iMailPt;

private:
  void pFelder();

private slots:
  void pCancel();
  void pWrite();
};

#endif
