#ifndef SMTP_H
#define SMTP_H

#include <QtCore>
#include <QtNetwork>

class Smtp : public QObject
{
  Q_OBJECT

public:
  Smtp();
  ~Smtp();
  bool setText(QString lBaustein, QString adrArt="", QString adrKey="",
               int lMid=-1, int lJahr=-1, qint64 lCent=0);
  void setTo(QString wAdresse);
  bool sendMail();

protected:
  void pWrHeader(QString wZeile, int wQuoteVon=0, int wQuoteBis=0);
  void pMailText();

private:
  QString    wSubject,wText,wTo,wFrom,wFromName,wAuth,wMailServer;
  int        wMailPort,iMid;
  QTcpSocket wSock;
  QTimer     wTimer;
  int        wSendStat;
  char       wBuf[4096];
  int        wBufLen;
  bool       flag_fehler;

private slots:
  void pConnected();
  void pDisconnected();
  void pError();
  void pData();
  void pTimeOut();

};

#endif
