#ifndef SPENDENEXPORT_H
#define SPENDENEXPORT_H

#include <QtGui>
#include "wgliederung.h"
#include "csvdatei.h"

class SpendenExport : public QDialog
{
  Q_OBJECT

public:
  SpendenExport(QWidget *parent = NULL);
  ~SpendenExport();

private:
  QDateEdit wVonDat, wBisDat;
  QCheckBox wBestGl;
  QLineEdit wBestKost;
  WGliederung wGliederung;
  QComboBox   wBestArt;
  QPushButton bExport,bCancel;
  CSVDatei    wDatei;

private slots:
  void pExport();
  void pBestGl();
};

#endif
