#ifndef SPENDENPARAM_H
#define SPENDENPARAM_H

#include <QtGui>
#include "wkonto.h"

class SpendenParam : public QDialog
{
  Q_OBJECT

public:
  SpendenParam(QWidget *parent = NULL);
  ~SpendenParam();

protected:
  void closeEvent(QCloseEvent *e);
  void keyPressEvent(QKeyEvent *e);
  void pProzBox(QDoubleSpinBox *wBox);

private:
  QComboBox      wArt;
  QDoubleSpinBox wProzInt,wProzBuv,wProzLv,wProzBzv,wProzKv,wProzOv;
  QCheckBox      wMIDBuchung;
  WKonto         *wKtoK,*wKtoB,*wKtoAnonK,*wKtoAnonB,*wKtoJurK,*wKtoJurB;
  QLineEdit      wKostK,wKostB,wKostAnonK,wKostAnonB,wKostJurK,wKostJurB;
  QPushButton    bOk,bCancel,bLesen;
  QString        sArt;
  QString        sProzInt,sProzBuv,sProzLv,sProzBzv,sProzKv,sProzOv;
  QString        sMIDBuchung;
  QString        sKtoK,sKtoB,sKtoAnonK,sKtoAnonB,sKtoJurK,sKtoJurB;
  QString        sKostK,sKostB,sKostAnonK,sKostAnonB,sKostJurK,sKostJurB;
  QLabel         lKtoK,lKtoB,lKtoAnonK,lKtoAnonB,lKtoJurK,lKtoJurB;
  bool fWahl;

private:
  void pSetWahl(bool flag_wahl);
  void pFelder();

private slots:
  void pCancel();
  void pRead();
  void pWrite();
};

#endif
