#ifndef AKKREDLIST_H
#define AKKREDLIST_H

#include <QtGui>
#include "wgliederung.h"
#include "csvdatei.h"

class AkkredListe : public QDialog
{
  Q_OBJECT

public:
  AkkredListe(QWidget *parent = NULL);
  ~AkkredListe();

protected:
  void pFuellListe();

private:
  WGliederung *wGliederung;
  QDateEdit   *wDatum;
  QComboBox   *wUnbez;
  QComboBox   *wSort;
  CSVDatei    *wDatei;
  QPushButton *bExport,*bCancel;

private slots:
  void pExport();
};

#endif
