#ifndef EINZELKTO_H
#define EINZELKTO_H

#include <QtGui>
#include "wkonto.h"

class EinzelKto : public QDialog
{
  Q_OBJECT

public:
  EinzelKto(QWidget *parent = NULL);
  ~EinzelKto();

private:
  WKonto *wKonto;
  QLabel *lKontoText;
  QDateEdit *wVonDat, *wBisDat;
  QLineEdit *wASaldo, *wESaldo,*wKost;
  QPushButton *bOk,*bDrucken,*bKtoVor,*bKtoRu;
  QTableView *wListe;
  QStandardItemModel *wModel;
  QString sKonto,sKost;

private:
  void pFuellListe();
  void pFelder();

private slots:
  void pEnter();
  void pDrucken();
  void pAuswahl(QModelIndex);
  void pKtoVor();
  void pKtoRu();
};

#endif
