#ifndef GLIEDERUNGSBAUM_H
#define GLIEDERUNGSBAUM_H

#include <QAbstractItemModel>
#include <QModelIndex>
#include <QVariant>
#include "treeitem.h"

class GliederungsBaum : public QAbstractItemModel
{
  Q_OBJECT

public:
  GliederungsBaum(QObject *parent = NULL);
  ~GliederungsBaum();

  QVariant data(const QModelIndex &index, int role) const;
  QVariant datac(const QModelIndex &index, int column) const;
  Qt::ItemFlags flags(const QModelIndex &index) const;
  QVariant headerData(int section, Qt::Orientation orientation,
                      int role = Qt::DisplayRole) const;
  QModelIndex index(int row, int column,
                    const QModelIndex &parent = QModelIndex()) const;
  QModelIndex parent(const QModelIndex &index) const;
  int rowCount(const QModelIndex &parent = QModelIndex()) const;
  int columnCount(const QModelIndex &parent = QModelIndex()) const;
  QModelIndex setupModelData(QString sDarstell,int ebene=9);
private:
  TreeItem *rootItem;
};

#endif
