#ifndef KONTENPLAN_H
#define KONTENPLAN_H

#include <QtGui>
#include "wkonto.h"

class Kontenplan : public QDialog
{
  Q_OBJECT

public:
  Kontenplan(bool flag_anlegen=false, QWidget *parent = NULL);
  ~Kontenplan();
  QString angelegt();

protected:
  void closeEvent(QCloseEvent *e);
  void keyPressEvent(QKeyEvent *e);

private:
  WKonto     *wKonto;
  QLineEdit  *wText;
  QTableView *wListe;
  QStandardItemModel *wModel;
  QPushButton *bOk,*bCancel,*bDel;
  QComboBox   *wAbgrArt;
  bool fWahl,fAnlegen;
  QString sKonto,sText,sAbgr,sNeuBez;

private:
  void pSetWahl(bool flag_wahl);
  void pFuellListe();
  void pFelder();

private slots:
  void pCancel();
  void pRead();
  void pWrite();
  void pDelete();
  void pAuswahl(QModelIndex);
};

#endif
