#ifndef LIEFERANT_H
#define LIEFERANT_H

#include <QtGui>
#include "wadresse.h"
#include "wbank.h"

class Lieferant : public QDialog
{
  Q_OBJECT

public:
  Lieferant(bool flag_anlegen=false, QWidget *parent = NULL);
  ~Lieferant();
  QString angelegt();

protected:
  void closeEvent(QCloseEvent *e);
  void keyPressEvent(QKeyEvent *e);

private:
  QPushButton *bOk,*bCancel,*bDel;
  WAdresse    *wAdresse;
  WBank       *wBank;
  QLineEdit   *wNameKurz,*wTel,*wFax,*wBukto;
  QString     sNameKurz,sTel,sFax,sNeuBez,sBukto;
  bool        fWahl,fAnlegen;

private:
  void pSetWahl(bool flag_wahl);
  void pFelder();

private slots:
  void pCancel();
  void pRead();
  void pWrite();
  void pDelete();
};

#endif
