#include <QtCore>
#include <QtGui>
#include <QtSql>

#include "setup.h"
#include "buhamain.h"

int flag_db;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    QSqlDatabase db = QSqlDatabase::addDatabase("QSQLITE");
    QString  sDb;
    int r;

    flag_db=0;
    QCoreApplication::setOrganizationName("Piratenpartei");
    QCoreApplication::setApplicationName("Buha");
    QSettings::setDefaultFormat(QSettings::IniFormat);
    if (argc<2)
      sDb="buha.db";
    else
      sDb=argv[1];
    db.setDatabaseName(sDb);
    if (!db.open())
    {
      QMessageBox::critical(0,"Datenbankfehler",
                   "Kein Zugriff auf die Datenbank",QMessageBox::Cancel);
      return(-1);
    }
    flag_db=1;
    BuhaMain pMain;
    pMain.exec();
    return(0);
}
