#ifndef SPENDE_H
#define SPENDE_H

#include <QtGui>
#include "wmitglied.h"
#include "wgliederung.h"

class Spende : public QDialog
{
  Q_OBJECT

public:
  Spende(QWidget *parent = NULL);
  ~Spende();
  void write(QDate jDatum, int jLfd);
  void read(QDate jDatum, int jLfd);
  void clear();
  int  exec();
  int  exec(qint64 total);
  QString disName();
  void aufteilung(bool flag_bar, int i,qint64 total,qint64 *teilBetrag,
                  QString *teilKonto,
                  QString *teilKost);
  void setParam(int mid, char art, QDate bisDatum);

public slots:
  void accept();
  void reject();

private:
  WMitglied *wMitglied;
  QComboBox *wArt;
  WGliederung *wGliederung;
  QDateEdit   *wQuittiert,*wBeitrVon,*wBeitrBis;
  QPushButton *bOk, *bCancel;
  QDoubleSpinBox *wProzInt,*wProzBuv,*wProzLv,*wProzBzv,*wProzKv,*wProzOv;
  QDoubleSpinBox *wGebuehr;
  QLabel  *lDisName;
  qint64 auftBetrag[6];
  QString auftKonto[6],auftKost[6];

private:
  QString sMid,sGliederung,sProzInt,sProzBuv,sProzLv,sProzBzv,sProzKv,sProzOv;
  QString sQuittiert,sArt;
  int     iMid,wEbene,iArtRead;
  qint64  iProzInt,iProzBuv,iProzLv,iProzBzv,iProzKv,iProzOv;
  qint64  iTotal;
  QDate   dBeitrVon,dBeitrBis;
  bool    fAufteilen,fMIDBuchung,fNeu,fBeitrDat;
  QString sKost,sGKto,sHauptKto,sText;
  QString sKtoK,sKtoB,sKtoAnonK,sKtoAnonB,sKtoJurK,sKtoJurB;
  QString sKostK,sKostB,sKostAnonK,sKostAnonB,sKostJurK,sKostJurB;

protected slots:
  void pDisName();
  void pArtChg();

protected:
  void pFelder();
  void pBeitrDat();
  void pAufteilen(bool flag_bar,qint64 total);
  QString pVariablen(qint64 total, QString s);
  QDoubleSpinBox* pProzBox();
};

#endif
