#ifndef TEXTBAUSTEIN_H
#define TEXTBAUSTEIN_H

#include <QtGui>

class Textbaustein : public QDialog
{
  Q_OBJECT

public:
  Textbaustein(bool flag_anlegen=false, QWidget *parent = NULL);
  ~Textbaustein();
  QString angelegt();

protected:
  void closeEvent(QCloseEvent *e);
  void keyPressEvent(QKeyEvent *e);

private:
  QLineEdit   *wBez,*wBeschr,*wSubject;
  QTextEdit   *wInhalt;
  QPushButton *bOk,*bCancel,*bDel;
  bool        fWahl,fAnlegen;
  QString     sBez,sBeschr,sSubject,sInhalt,sNeuBez;
  QTableView  *wListe;
   QStandardItemModel *wModel;

private:
  void pSetWahl(bool flag_wahl);
  void pFelder();
  void pFuellListe();

private slots:
  void pCancel();
  void pRead();
  void pWrite();
  void pDelete();
  void pAuswahl(QModelIndex);
};

#endif
