#ifndef WADRESSE_H
#define WADRESSE_H

#include <QtGui>
#include "utils.h"

class WAdresse : public QObject
{
  Q_OBJECT

public:
  WAdresse(int flag_name, QWidget *parent = NULL);
  ~WAdresse();
  QLineEdit *Name1();
  QLineEdit *Name2();
  QLineEdit *Strasse();
  QLineEdit *Plz();
  QLineEdit *Ort();
  QLineEdit *Land();
  QLineEdit *Mail();
  void FuellLayout(QGridLayout *layout, int y, int x);
  bool isEmpty();
  void clear();
  void read(QString wKenz,QString wKey);
  void write(QString wKenz,QString wKey);
  void del(QString wKenz,QString wKey);
  void setEnabled(bool flag_enable=true);

private:
  QLineEdit *wName1,*wName2,*wStrasse,*wPlz,*wOrt,*wLand,*wMail;
  QString sName1,sName2,sStrasse,sPlz,sOrt,sLand,sMail;
  QWidget *wParent;

private:
  void pFelder();

};

#endif
