#ifndef WBANK_H
#define WBANK_H

#include <QtGui>
#include "utils.h"

class WBank : public QObject
{
  Q_OBJECT

public:
  WBank(QWidget *parent = NULL);
  ~WBank();
  QLineEdit *KontoInh();
  QLineEdit *KontoNr();
  QLineEdit *KontoBlz();
  QLineEdit *KontoBank();
  QLineEdit *KontoBic();
  QLineEdit *KontoIban();
  void FuellLayout(QGridLayout *layout, int y, int x);
  void clear();
  bool isEmpty();
  void read(QString wKenz,QString wKey);
  void write(QString wKenz,QString wKey);
  void del(QString wKenz,QString wKey);
  void setEnabled(bool flag_enable=true);

private:
  QLineEdit *wKontoInh,*wKontoNr,*wKontoBlz,*wKontoBank,*wKontoBic,*wKontoIban;
  QWidget *wParent;
  QString sKontoInh,sKontoNr,sKontoBlz,sKontoBank,sKontoBic,sKontoIban;

private:
  void pFelder();

};

#endif
