#include <QtGui>

#include "utils.h"
#include "wgliederung.h"
#include "gliederungswahl.h"

WGliederung::WGliederung(QWidget *parent) : QPushButton(parent)
{
  setAutoDefault(false);
  connect(this,SIGNAL(clicked()),this,SLOT(pClicked()));
}

void WGliederung::setText(QString Text)
{
  QPushButton::setText(Text);
  wEbene=9;
}

void WGliederung::pClicked()
{
  GliederungsWahl wWahl(wEbene);

  if (wWahl.exec() == QDialog::Accepted)
  {
    setText(wWahl.text());
  }
}

void WGliederung::setEbene(int ebene)
{
  wEbene=ebene;
}
