#ifndef ZAHLBEARB_H
#define ZAHLBEARB_H

#include <QtGui>
#include "wmitglied.h"

class ZahlungBearb : public QDialog
{
  Q_OBJECT

public:
  ZahlungBearb(QString art, QWidget *parent = NULL);
  ~ZahlungBearb();

protected:
  void closeEvent(QCloseEvent *e);
  void keyPressEvent(QKeyEvent *e);

private:
  WMitglied  *wMid;
  QCheckBox  *wSperren;
  QComboBox  *wForm;
  QDoubleSpinBox *wBetrag;
  QLabel     *lArt,*lName,*lBetrag,*lBaustein;
  QTableView *wListe;
  QStandardItemModel *wModel;
  QPushButton *bOk,*bCancel,*bTest;
  bool        fWahl;
  QString     sSperren,sBetrag,sForm,sArt,sBausteinM,sBausteinB,sMail,sMid;
  qint64      iCent;

private:
  void pSetWahl(bool flag_wahl);
  void pFuellListe();
  void pFelder();

private slots:
  void pCancel();
  void pRead();
  void pWrite();
  void pTest();
  void pAuswahl(QModelIndex);
  void pBaustein(int);
};

#endif
