#ifndef ZAHLBRIEF_H
#define ZAHLBRIEF_H

#include <QtGui>

class ZahlungBrief : public QDialog
{
  Q_OBJECT

public:
  ZahlungBrief(QWidget *parent = NULL);
  ~ZahlungBrief();

protected slots:
  void pLauf();
  void pDupWarn();
  void reject();

protected:
  void pSetLauf(bool flag_lauf);
  void pFelder();
  void closeEvent(QCloseEvent *e);

private:
  QPushButton *bOk,*bCancel;
  QCheckBox *wCheckRech,*wCheckRechNeu,*wCheckLast,*wCheckLastNeu;
  QCheckBox *wCheckPlatz,*wCheckMahn1,*wCheckMahn2,*wCheckMahn3,*wCheckDup;
  QLabel    *lMid;
  bool      fRech,fRechNeu,fLast,fLastNeu,fPlatz,fMahn1,fMahn2,fMahn3,fDup;
  bool      fLauf,fAbbruch;
};
#endif
