#ifndef ZAHLDTAUS_H
#define ZAHLDTAUS_H

#include <QtGui>

class ZahlungDtaus : public QDialog
{
  Q_OBJECT

public:
  ZahlungDtaus(QWidget *parent = NULL);
  ~ZahlungDtaus();

protected slots:
  void pDateiErst();
  void pInhalt();
  void pFehlerliste();
  void pDateiWahl();
  void pDupWarn();
  void pTempTable();
  void pAbschluss();
  void reject();

protected:
  void closeEvent(QCloseEvent *e);
  void pFelder();
  void pReadParam();
  void pSaveParam();
  void pAddString(char *buf, int pos, QString src, int l);
  void pAddZahl(char *buf, int pos, qint64 src, int l);
  QString pNummer(QString s);
  QString pText(QString s);
  QString pZweck(int mid, int jahr,int lfd);
  void    pSetEnabled();
  bool    pTestAbbruch();

private:
  QCheckBox   *wCheckDup;
  QPushButton *bVorbereiten,*bInhalt,*bFehler,*bErstellen;
  QPushButton *bOk,*bCancel,*bDatei;
  QLineEdit   *wDateiname;
  QLineEdit   *wEName,*wEKonto,*wEBlz;
  QDateEdit   *wBudat;
  QLabel      *lAnzOk,*lAnzFehler;
  bool        fDup,fTempTable;
  bool        fInhalt,fFehler,fErstellen;
  QDate       dBudat;
  QString     sDateiname,sEName,sEKonto,sEBlz;
  qint64      iEBlz,iEKonto;
  int         iDtaus,iFehler,iOk;
  qint64      iSumme;
};

#endif
