#ifndef ZAHLERST_H
#define ZAHLERST_H

#include <QtGui>
#include "wkonto.h"

class ZahlungErst : public QDialog
{
  Q_OBJECT

public:
  ZahlungErst(QWidget *parent = NULL);
  ~ZahlungErst();

protected slots:
  void pLauf();
  void pStateRech(int);
  void pStateRechNeu(int);
  void pStateLast(int);
  void pStateLastNeu(int);
  void pStatePlatz(int);
  void pStateMahn1(int);
  void pStateMahn2(int);
  void pStateMahn3(int);

protected:
  void pFelder();
  void pSaveParam();
  void pReadParam();

private:
  QLineEdit *wTageLast,*wTageMahn1,*wTageMahn2,*wTageMahn3;
  QLineEdit *wTextLastNeuM,*wTextLastNeuB;
  QLineEdit *wTextLastM,*wTextLastB;
  QLineEdit *wTextRechNeuM,*wTextRechNeuB;
  QLineEdit *wTextRechM,*wTextRechB;
  QLineEdit *wTextPlatzM,*wTextPlatzB;
  QLineEdit *wTextMahn1M,*wTextMahn1B;
  QLineEdit *wTextMahn2M,*wTextMahn2B;
  QLineEdit *wTextMahn3M,*wTextMahn3B;
  WKonto    *wKontoDtaus;
  QCheckBox *wCheckRech,*wCheckRechNeu,*wCheckLast,*wCheckLastNeu;
  QCheckBox *wCheckPlatz,*wCheckMahn1,*wCheckMahn2,*wCheckMahn3;
  QCheckBox *wCheckDtaus;
  int       iTageLast,iTageMahn1,iTageMahn2,iTageMahn3;
  QString   sTextRechM,sTextRechB,sTextRechNeuM,sTextRechNeuB;
  QString   sTextLastM,sTextLastB,sTextLastNeuM,sTextLastNeuB;
  QString   sTextPlatzM,sTextPlatzB,sTextMahn1M,sTextMahn1B;
  QString   sTextMahn2M,sTextMahn2B,sTextMahn3M,sTextMahn3B;
  QString   sKontoDtaus;
  QLabel    *lMidDis,*lKontoDtaus;
  QPushButton *bOk,*bCancel;
  QIntValidator wVal;
  bool      fRech,fRechNeu,fLast,fLastNeu,fPlatz,fMahn1,fMahn2,fMahn3,fDtaus;
  bool      fRechM,fRechNeuM,fLastM,fLastNeuM,fPlatzM,fMahn1M,fMahn2M,fMahn3M;
  bool      fRechB,fRechNeuB,fLastB,fLastNeuB,fPlatzB,fMahn1B,fMahn2B,fMahn3B;
};
#endif
