#ifndef ZAHLUNGEN_H
#define ZAHLUNGEN_H

#include <QtGui>
#include <QtSql>
#include "wkonto.h"
#include "spende.h"

#define ZAHLUNGEN_MAX 6

class Zahlungen : public QDialog
{
  Q_OBJECT

public:
  Zahlungen(QWidget *parent = NULL);
  ~Zahlungen();

private:
  WKonto         *wKonto,*wGKonto;
  QLabel         *lKontoText,*lGKontoText,*lSpenderName;
  QDateEdit      *wDatum;
  QLineEdit      *wBeleg,*wKost,*wBeschluss,*wText;
  QDoubleSpinBox *wBetrag;
  QPushButton    *bSpende;
  QPushButton    *bOk,*bCancel;
  Spende         wSpende;
  WKonto         *wAuftKonto[ZAHLUNGEN_MAX];
  QLabel         *lAuftKonto[ZAHLUNGEN_MAX];
  QDoubleSpinBox *wAuftBetrag[ZAHLUNGEN_MAX];
  QLineEdit      *wAuftKost[ZAHLUNGEN_MAX];

protected slots:
  void pSpende();
  void pWrite();
};

#endif
